import PsychTestQuestion from "../../components/PsychTestQuestion";
import React, { useState } from "react";
import PsychTestAddResult from "../../API/PsychTestAddResult";
import { useNavigate } from "react-router-dom";

const PsychTest = () => {
    const navigate = useNavigate();
    const [answers, setAnswers] = useState({
        first: 0,
        second: 0,
        third: 0,
        fourth: 0,
        fifth: 0,
        sixth: 0,
        seventh: 0,
        eighth: 0,
        nineth: 0,
        tenth: 0,
        eleventh: 0,
        twelfth: 0,
        thirteenth: 0,
    });

    // TODO: Может как-то изменить, а то я сидел и тупил только не ругайте
    const answerChangeHandler = (answer, account) => {
        if (account == "first") {
            setAnswers((previous) => ({
                ...previous,
                first: answer,
            }));
        } else if (account == "second") {
            setAnswers((previous) => ({
                ...previous,
                second: answer,
            }));
        } else if (account == "third") {
            setAnswers((previous) => ({
                ...previous,
                third: answer,
            }));
        } else if (account == "fourth") {
            setAnswers((previous) => ({
                ...previous,
                fourth: answer,
            }));
        } else if (account == "fifth") {
            setAnswers((previous) => ({
                ...previous,
                fifth: answer,
            }));
        } else if (account == "sixth") {
            setAnswers((previous) => ({
                ...previous,
                sixth: answer,
            }));
        } else if (account == "seventh") {
            setAnswers((previous) => ({
                ...previous,
                seventh: answer,
            }));
        } else if (account == "eight") {
            setAnswers((previous) => ({
                ...previous,
                eight: answer,
            }));
        } else if (account == "nineth") {
            setAnswers((previous) => ({
                ...previous,
                nineth: answer,
            }));
        } else if (account == "tenth") {
            setAnswers((previous) => ({
                ...previous,
                tenth: answer,
            }));
        } else if (account == "eleventh") {
            setAnswers((previous) => ({
                ...previous,
                eleventh: answer,
            }));
        } else if (account == "twelfth") {
            setAnswers((previous) => ({
                ...previous,
                twelfth: answer,
            }));
        } else if (account == "thirteenth") {
            setAnswers((previous) => ({
                ...previous,
                thirteenth: answer,
            }));
        }
    };

    const submitHandler = async (event) => {
        event.preventDefault();
        const result = await PsychTestAddResult.addById(1, answers); // 1 - это id пользователя
        console.log(result);
        navigate("/");
    };

    return (
        <div>
            <h1>Название теста</h1>
            <form onSubmit={submitHandler}>
                <PsychTestQuestion
                    name="Название вопроса 1"
                    account="first"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 2"
                    account="second"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 3"
                    account="third"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 4"
                    account="fourth"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 5"
                    account="fifth"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 6"
                    account="sixth"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 7"
                    account="seventh"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 8"
                    account="eighth"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 9"
                    account="nineth"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 10"
                    account="tenth"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 11"
                    account="eleventh"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 12"
                    account="twelfth"
                    onChangeAnswer={answerChangeHandler}
                />
                <PsychTestQuestion
                    name="Название вопроса 13"
                    account="thirteenth"
                    onChangeAnswer={answerChangeHandler}
                />
                <button type="submit">Отправить</button>
            </form>
        </div>
    );
};

export default PsychTest;
